std::logical_not< void > Struct Reference
Utilities » Function Objects » Boolean Operations Classes

`#include <stl_function.h>`

Inheritance diagram for std::logical_not< void >:
[legend]

## Public Types

typedef void | argument_type
typedef __is_transparent | is_transparent
typedef bool | result_type

## Public Member Functions

template<typename _Tp>
constexpr auto | operator() (_Tp &&__t) const noexcept(noexcept(!std::forward< _Tp >(__t))) -> decltype(!std::forward< _Tp >(__t))

## Detailed Description

One of the Boolean operations functors.

Definition at line 894 of file stl_function.h.

## Member Typedef Documentation

## argument_type

typedef void std::unary_function< void, bool >::argument_type

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## is_transparent

typedef __is_transparent std::logical_not< void >::is_transparent

Definition at line 904 of file stl_function.h.

## result_type

typedef bool std::unary_function< void, bool >::result_type

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Member Function Documentation

## operator()()

template<typename _Tp>

auto std::logical_not< void >::operator() | ( | _Tp && | __t | ) | const->decltype(!std::forward< _Tp >(__t))

inline constexpr noexcept

Definition at line 899 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h